
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;

// Beispiel mit JCheckBox

// Auslesen des Wertes (isSelected)
// OnChange-Event für die Checkboxen


public class CheckBox01 extends JFrame {

    JCheckBox cbBox1;
    JCheckBox cbBox2;


  //Frame konstruieren
  public CheckBox01() {
    setSize(300, 200);
    setTitle("Beispiel CheckBox01 mit Funktion");
    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    setGUI();
  }

  private void setGUI() {
    JPanel panel1;


    JButton BnOk;
    JButton BnEsc;

    this.getContentPane().setLayout ( new GridBagLayout() );

    setSize(400, 300);


    cbBox1 = new JCheckBox("Student der HS Harz", false);
    cbBox2 = new JCheckBox("Student im FB Automatisierung / Informatik", false);


    this.getContentPane().add(cbBox1, 
            new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, 
             new Insets(10,10,20,10), 0, 0));

    this.getContentPane().add(cbBox2, 
             new GridBagConstraints(0, 1, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, 
               new Insets(10,10,20,10), 0, 0));

     // OnChange Event für die CheckBox
    cbBox1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        cbBox1_click(e);
      }
    });
     // OnChange Event für die CheckBox
    cbBox2.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        cbBox2_click(e);
      }
    });

    JPanel panel = new JPanel();

    panel.setLayout( new FlowLayout() );

    BnOk = new JButton("Ok");  // Label erzeugen
    BnEsc = new JButton("Esc");  // Label erzeugen
    panel.add(BnOk);

    panel.add(BnEsc);

    this.getContentPane().add(panel, 
           new GridBagConstraints(0, 2, 1, 1, 1.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, 
           new Insets(0,0,20,0), 0, 0));


     // OnClick Event für den Schalter
    BnOk.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BnOk_click(e);
      }
    });
     // OnClick Event für den Schalter
    BnEsc.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BnEsc_click(e);
      }
    });
  } // create


  void BnOk_click(ActionEvent e) {
    if (cbBox1.isSelected() )
       System.out.println("Check Box 1 ist gesetzt");
    else
       System.out.println("Check Box 1 ist nicht gesetzt");

    if (cbBox2.isSelected() )
       System.out.println("Check Box 2 ist gesetzt");
    else
       System.out.println("Check Box 2 ist nicht gesetzt");
  }  // Bn Ok Click


  void BnEsc_click(ActionEvent e) {
      System.exit(0);
  }  // Bn ESC Click



  void cbBox1_click(ActionEvent e) {
    if (cbBox1.isSelected() )
       System.out.println("Check Box 1 ist gesetzt");
    else
       System.out.println("Check Box 1 ist nicht gesetzt");
  }

  void cbBox2_click(ActionEvent e) {
    if (cbBox2.isSelected() )
       System.out.println("Check Box 2 ist gesetzt");
    else
       System.out.println("Check Box 2 ist nicht gesetzt");

  }


  public static void main(String[] args) {
    CheckBox01 frame = new CheckBox01();
    frame.setVisible(true);
  }


}




